import 'package:solana_dart/src/jsonify/jsonify.dart';
import 'package:solana_dart/src/types/fee_calculator.dart';
import 'package:solana_dart/src/types/json_rpc_response_object.dart';

class Blockhash {
  Blockhash({
    this.feeCalculator,
    this.blockhash,
  });

  factory Blockhash.fromJsonRpcResponseString(String jsonRpcResponseString) =>
      Blockhash.fromJson(JsonRpcResponseObject.getValue(jsonRpcResponseString));

  factory Blockhash.fromJson(Map<String, dynamic> json) => createFromJson(json);

  final FeeCalculator feeCalculator;
  final String blockhash;
}
