import 'package:solana_dart/src/jsonify/jsonify.dart';
import 'package:solana_dart/src/types/status.dart';

enum TxStatus { processed, confirmed, finalized }

class SignatureStatus {
  SignatureStatus({
    this.slot,
    this.confirmations,
    this.err,
    this.confirmationStatus,
    this.status,
  });

  factory SignatureStatus.fromJson(Map<String, dynamic> json) =>
      createFromJson(json);

  final int slot;
  final int confirmations;
  final dynamic err;
  final TxStatus confirmationStatus;
  final Status status;

  String toString() => confirmationStatus.toString();
}
