import 'package:solana_dart/src/jsonify/jsonify.dart';

class ConfirmedSignature {
  ConfirmedSignature({
    this.signature,
    this.slot,
    this.err,
    this.memo,
    this.blockTime,
  });

  factory ConfirmedSignature.fromJson(Map<String, dynamic> json) =>
      createFromJson(json);

  final String signature;
  final int slot;
  final dynamic err;
  final String memo;
  final int blockTime;

  String toString() => signature;
}
